import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { EnumerationFactory } from '@react-microdata/enumeration';
class QualitativeValue extends Mixin(EnumerationFactory, ItemFactory) {
    valueReference({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "valueReference", itemScope });
    }
    ;
    greaterOrEqual({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "greaterOrEqual", itemScope });
    }
    ;
    nonEqual({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "nonEqual", itemScope });
    }
    ;
    equal({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "equal", itemScope });
    }
    ;
    lesser({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "lesser", itemScope });
    }
    ;
    greater({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "greater", itemScope });
    }
    ;
    additionalProperty({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "additionalProperty", itemScope });
    }
    ;
    lesserOrEqual({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "lesserOrEqual", itemScope });
    }
    ;
}
const QualitativeValueFactory = new QualitativeValue();
export { QualitativeValueFactory };
export default QualitativeValue;
//# sourceMappingURL=QualitativeValueFactory.js.map