import { ValueReference } from './src/itemProps/ValueReference';
import { GreaterOrEqual } from './src/itemProps/GreaterOrEqual';
import { NonEqual } from './src/itemProps/NonEqual';
import { Equal } from './src/itemProps/Equal';
import { Lesser } from './src/itemProps/Lesser';
import { Greater } from './src/itemProps/Greater';
import { AdditionalProperty } from './src/itemProps/AdditionalProperty';
import { LesserOrEqual } from './src/itemProps/LesserOrEqual';
import { SupersededBy } from './src/itemProps/SupersededBy';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { QualitativeValue } from './src/QualitativeValue';
import QualitativeValueFactory from './src/QualitativeValueFactory';
export { QualitativeValueFactory, QualitativeValue, ValueReference, GreaterOrEqual, NonEqual, Equal, Lesser, Greater, AdditionalProperty, LesserOrEqual, SupersededBy, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    QualitativeValue: any;
    ValueReference: any;
    GreaterOrEqual: any;
    NonEqual: any;
    Equal: any;
    Lesser: any;
    Greater: any;
    AdditionalProperty: any;
    LesserOrEqual: any;
    SupersededBy: {
        Enumeration: any;
        Class: any;
        Property: any;
    };
    MainEntityOfPage: {
        CreativeWork: any;
        URL: any;
    };
    AlternateName: any;
    Name: any;
    PotentialAction: any;
    Image: {
        URL: any;
        ImageObject: any;
    };
    Url: any;
    Description: any;
    SubjectOf: {
        Event: any;
        CreativeWork: any;
    };
    AdditionalType: any;
    DisambiguatingDescription: any;
    SameAs: any;
    Identifier: any;
};
export default _default;
//# sourceMappingURL=index.d.ts.map